const mongoose = require("mongoose");

const Schema = mongoose.Schema;

const jobSchema = new Schema({
  jobID: {
    type: String,
  },
  title: {
    type: String,
    required: true,
  },
  company: {
    type: String,
    required: true,
  },
  location: {
    type: String,
    required: true,
  },
  workType: {
    type: String,
    required: true,
  },
  term: {
    type: String,
    required: true,
  },
  salary: {
    type: Number,
    required: true,
  },
  duration: {
    type: String,
    required: true,
  },
  deadline: {
    type: Date,
    required: true,
  },
  logo: {
    type: String,
    required: true,
  },
  responsibilities: {
    type: String,
    required: true,
  },
  qualifications: {
    type: String,
    required: true,
  },
  aboutJob: {
    type: String,
    required: true,
  },
});

const Job = mongoose.model("Job", jobSchema);

module.exports = Job;
